//record keyboard input ASCII enabled
#include <windows.h>
LRESULT CALLBACK WndProc(HWND, UINT, WPARAM, LPARAM);
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,LPSTR lpCmdLine, int nCmdShow)
{
WNDCLASSEXA wc;
MSG Msg;
wc.cbSize        = sizeof(WNDCLASSEX);
wc.style         = 0;
wc.lpfnWndProc   = WndProc;
wc.cbClsExtra    = 0;
wc.cbWndExtra    = 0;
wc.hInstance     = hInstance;
wc.hIcon         = LoadIcon(NULL, IDI_APPLICATION);
wc.hCursor       = LoadCursor(NULL, IDC_ARROW);
wc.hbrBackground = (HBRUSH)(COLOR_WINDOW+1);
wc.lpszMenuName  = NULL;
wc.lpszClassName = "myWindowClass";
wc.hIconSm       = LoadIcon(NULL, IDI_APPLICATION);
RegisterClassExA(&wc);
CreateWindowExA(WS_EX_CLIENTEDGE,"myWindowClass","Keyboard Input", WS_VISIBLE | WS_OVERLAPPEDWINDOW,CW_USEDEFAULT, CW_USEDEFAULT, 240, 120, NULL, NULL, hInstance, NULL);
while(GetMessage(&Msg, NULL, 0, 0) > 0)
{
TranslateMessage(&Msg);//translate keyboard messages
DispatchMessage(&Msg);
}
return Msg.wParam;
}
LRESULT CALLBACK WndProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam)
{
HDC hdc;
 static char key[25];
 static char chr[25];
 static int chrlen;
 static int keylen;
switch(msg)
{
case WM_PAINT:
    PAINTSTRUCT ps;
    hdc = BeginPaint(hwnd, &ps);
    TextOutA(hdc,0,0,key,keylen);//displays keystroke value
    TextOutA(hdc,0,20,chr,chrlen);//displays character associated with keystroke
    EndPaint(hwnd, &ps);
    break;
case WM_KEYDOWN://responds to keydown message processing raw keyboard messages
	keylen=wsprintfA(key,"KEY is %i", wParam);
     break;
case WM_CHAR://responds to character translation after keypress
	chrlen=wsprintfA(chr,"Character is %c", wParam);
    InvalidateRect(hwnd,NULL,true);
    break;
case WM_CLOSE:
    DestroyWindow(hwnd);
break;
case WM_DESTROY:
    PostQuitMessage(0);
break;
default:
return DefWindowProcA(hwnd, msg, wParam, lParam);
}
return 0;
}